/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import java.io.InputStreamReader;
import java.io.BufferedReader;

public class esquerda {

	public static void main(String[] args){
    
    	BufferedReader entrada = new BufferedReader(new InputStreamReader(System.in)) ;
        String linha = "";
        int comandos=-1, val=0;
        short direcao=0;
		double posicao = 0;
		
        try {

            entrada = new BufferedReader (new InputStreamReader(System.in));

            while ((linha = entrada.readLine()) != null) {

				val = Integer.parseInt(linha);
								
                if (val==0){
                    break;
                }

                linha = entrada.readLine();
                
               	posicao = 0;
                
                for (int x=0; x<val; x++){

                	char ordem = linha.charAt(x);

                    if (ordem=='D'){
                    	posicao++;
                    }else {
                        posicao--;
                    }
                }
								                           
                direcao = (short) (((posicao/4)-(short)(posicao/4))*4);
                
                switch (direcao){
                case 0:
                	System.out.println("N");
                	break;
                case 1:
                case -3:
                    System.out.println("L");
                    break;
                case 2:
                case -2:
                    System.out.println("S");
                    break;
                case 3:
                case -1:
                    System.out.println("O");
                    break;
                }
 
            } // fecha o while

        } // fecha o try
        catch (Exception e) {
            System.out.println("Ocorreu um erro durante a leitura do arquivo!\n"+e);
            System.exit(0);
        } // fecha o catch
	}
}
